<?php

namespace Drupal\hide_non_editable_content;

/**
 * Class to get node permission strings.
 */
class NodePermissionsGetter {

  /**
   * Get the permission string to edit an owned node of a specific bundle.
   *
   * @see \Drupal\node\NodePermissions::buildPermissions
   */
  public static function getEditOwnPermission(string $bundle): string {
    return "edit own $bundle content";
  }

  /**
   * Get the permission string to edit any node of a specific bundle.
   *
   * @see \Drupal\node\NodePermissions::buildPermissions
   */
  public static function getEditAnyPermission(string $bundle): string {
    return "edit any $bundle content";
  }

}
